# EESy Instance Service

The EESy instance service implements the instances resource of the
EESy API.  Workflows create an engine service by creating an instance.
Workflow complete its interaction with the engine instance through
deletion of the instance.
It is the responsibility of the workflow to initiate deletion and
avoid unnecessarily cost for allocated resources.
Restricted Access !
Existing customer can request access via [Customer Support for Digital](https://customersupport.digital.slb.com/).
Automatic population of the API Key and S-Auth token is not supported in the "Try It" interface for this API.

```plain Client ID
service-eesy.slbservice.com
```

Version: 1.0

## Servers

```
https://api.delfi.slb.com/engines/v1
```

## Security

### Bearer

User or Service/App/Client Token from SAuth

Type: apiKey
In: header
Name: Authorization

### appkey

AppKey/Consumer Key from your App on Developer Portal

Type: apiKey
In: header
Name: appkey

## Download OpenAPI description

 - [EESy Instance Service](https://developer.slb.com/_bundle/solutions/engine-ecosystem/apis/eesy_instance_service_openapi.yaml)

## Instances

 - [POST /sessions/{session}/instances](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_instance_service_openapi/instances/postinstance.md): Creates a new EESy instance for a workflow.
 - [GET /sessions/{session}/instances](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_instance_service_openapi/instances/listinstances.md): Obtains a list of instances. The list may be limited to specific objects by means of a label selector. A label selector is a comma-separated list of label name/value pairs. For instance, the selector
 - [GET /sessions/{session}/instances/{name}](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_instance_service_openapi/instances/getinstance.md): Obtains a specific instance by name.
 - [PATCH /sessions/{session}/instances/{name}](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_instance_service_openapi/instances/patchinstance.md): Patch a specific instance by name.
 - [DELETE /sessions/{session}/instances/{name}](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_instance_service_openapi/instances/deleteinstance.md): Initiates deletion of an EESy instance. Deletion is an asynchronous operation as it takes some time to tear down all services and resources that are associated with the instance. The instance will hav
 - [GET /sessions/{session}/instances/{name}/logrecords](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_instance_service_openapi/instances/getinstancelogrecords.md): Obtains log records for a specific instance by name. A record contains is a single line of the engine's log. This is a paging API that retrieves records based on ids. Ids start at 1 and increment w
 - [GET /sessions/{session}/instances/{name}/log](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_instance_service_openapi/instances/getinstancelog.md): Obtains the log from a specific instance by name. Note: this endpoint is subject to change. (DEPRECATED as of 2020-03-31, expected removal 2020-12-31)
 - [DELETE /sessions/{session}/instances/correlationid](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_instance_service_openapi/instances/deleteinstancecorrelationid.md): Delete cached MRB Correlation ID for an engine in a session so that a new Correlation ID can be assigned.
 - [POST /sessions/{session}/instances/{name}/suspend](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_instance_service_openapi/instances/suspendinstance.md): Suspend an instance.
 - [POST /sessions/{session}/instances/{name}/resume](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_instance_service_openapi/instances/resumeinstance.md): Resume a suspended instance.
## Schema Definitions

 - [EESy Instance](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_instance_service_openapi/schema-definitions/instance.md): Schema: #/components/schemas/Instance
 - [Instance Specification](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_instance_service_openapi/schema-definitions/instancespec.md): Schema: #/components/schemas/InstanceSpec
 - [Status of the instance](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_instance_service_openapi/schema-definitions/instancestatus.md): Schema: #/components/schemas/InstanceStatus
 - [EESy Instance List](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_instance_service_openapi/schema-definitions/instancelist.md): Schema: #/components/schemas/InstanceList
 - [EESy Log Record](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_instance_service_openapi/schema-definitions/logrecord.md): Schema: #/components/schemas/LogRecord
 - [EESy Log Record List](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_instance_service_openapi/schema-definitions/logrecordlist.md): Schema: #/components/schemas/LogRecordList
 - [EESy object metadata](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_instance_service_openapi/schema-definitions/objectmetadata.md): Schema: #/components/schemas/ObjectMetadata
 - [EESy Request Status](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_instance_service_openapi/schema-definitions/status.md): Schema: #/components/schemas/Status
 - [JsonPatch](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_instance_service_openapi/schema-definitions/jsonpatch.md): Schema: #/components/schemas/JsonPatch
 - [PatchOperation](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_instance_service_openapi/schema-definitions/patchoperation.md): Schema: #/components/schemas/PatchOperation
